Skip to main content
GET
/
v1
/
claims
List claims
curl --request GET \
  --url https://api.done.app/v1/claims \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contract": {
        "price": 123,
        "activity_window": 123,
        "review_window": 123,
        "fulfillment_condition": {
          "event": "<string>",
          "match": {},
          "field": "<string>",
          "gt": 123,
          "gte": 123,
          "lt": 123,
          "lte": 123,
          "eq": 123
        },
        "timeout_outcome": "confirm"
      },
      "status": "OPEN",
      "status_since": "2023-11-07T05:31:56Z",
      "scheduled_outcome": "CONFIRMED"
    }
  ],
  "next_cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token. Create one from the dashboard.

Query Parameters

status
enum<string>

Filter by claim status.

Available options:
OPEN,
PENDING,
CONFIRMED,
FAILED
after
string<uuid>

Return claims after this cursor (exclusive). Use the next_cursor from the previous response.

limit
integer
default:50

Maximum number of claims to return.

Required range: 1 <= x <= 100
customer_id
string<uuid>

Filter by customer ID.

Response

List of claims

data
object[]
required
next_cursor
string<uuid> | null
required

Pass as after to fetch the next page. null when no more results.